@mixin make-template-rows($s) {
    #{$s}grid-rows-none{ 
        grid-template-rows: none;
    }

    @for $i from 1 through 8 {
        #{$s}grid-rows-#{$i}{ 
            grid-template-rows: repeat(#{$i}, minmax(0, 1fr));
        }
    }
}